Project Chrono: chrono::vehicle::uaz::UAZBUS_SAEToeBarLeafspringAxle Class Reference

Public Member Functions | Protected Member Functions | List of all members
chrono::vehicle::uaz::UAZBUS_SAEToeBarLeafspringAxle Class Reference
Models » Vehicle models » UAZ vehicle

## Description

Leafspring axle subsystem for the uaz vehicle.

`#include <UAZBUS_SAEToeBarLeafspringAxle.h>`

## Public Member Functions
| UAZBUS_SAEToeBarLeafspringAxle (const std::string &name)

## Protected Member Functions
virtual const ChVector3d | getLocation (PointId which) override
virtual double | getCamberAngle () const override
virtual double | getToeAngle () const override
virtual double | getAxleTubeMass () const override
virtual double | getSpindleMass () const override
virtual double | getKnuckleMass () const override
virtual double | getTierodMass () const override
virtual double | getDraglinkMass () const override
virtual double | getFrontLeafMass () const override
virtual double | getRearLeafMass () const override
virtual double | getClampMass () const override
virtual double | getShackleMass () const override
virtual double | getAxleTubeRadius () const override
virtual double | getSpindleRadius () const override
| Return the radius of the spindle body (visualization only).
virtual double | getSpindleWidth () const override
| Return the width of the spindle body (visualization only).
virtual double | getKnuckleRadius () const override
virtual double | getTierodRadius () const override
virtual double | getDraglinkRadius () const override
virtual const ChVector3d | getAxleTubeCOM () const override
virtual const ChVector3d & | getAxleTubeInertia () const override
virtual const ChVector3d & | getSpindleInertia () const override
virtual const ChVector3d & | getKnuckleInertia () const override
virtual const ChVector3d & | getTierodInertia () const override
virtual const ChVector3d & | getDraglinkInertia () const override
virtual const ChVector3d & | getFrontLeafInertia () const override
virtual const ChVector3d & | getRearLeafInertia () const override
virtual const ChVector3d & | getClampInertia () const override
virtual const ChVector3d & | getShackleInertia () const override
virtual double | getAxleInertia () const override
virtual double | getSpringRestLength () const override
virtual std::shared_ptr< ChLinkTSDA::ForceFunctor > | getSpringForceFunctor () const override
| Return the functor object for spring force.
virtual std::shared_ptr< ChLinkTSDA::ForceFunctor > | getShockForceFunctor () const override
| Return the functor object for shock force.
virtual std::shared_ptr< ChLinkRSDA::TorqueFunctor > | getLatTorqueFunctorA () const override
virtual std::shared_ptr< ChLinkRSDA::TorqueFunctor > | getLatTorqueFunctorB () const override
virtual std::shared_ptr< ChLinkRSDA::TorqueFunctor > | getVertTorqueFunctorA () const override
virtual std::shared_ptr< ChLinkRSDA::TorqueFunctor > | getVertTorqueFunctorB () const override

## Member Function Documentation

## ◆ getSpindleRadius()

virtual double chrono::vehicle::uaz::UAZBUS_SAEToeBarLeafspringAxle::getSpindleRadius | ( |  | ) | const
| inlineoverrideprotectedvirtual

Return the radius of the spindle body (visualization only).

Implements chrono::vehicle::ChSuspension.

## ◆ getSpindleWidth()

virtual double chrono::vehicle::uaz::UAZBUS_SAEToeBarLeafspringAxle::getSpindleWidth | ( |  | ) | const
| inlineoverrideprotectedvirtual

Return the width of the spindle body (visualization only).

Implements chrono::vehicle::ChSuspension.

The documentation for this class was generated from the following files:

- D:/W/B/src/chrono-9.0.1/src/chrono_models/vehicle/uaz/UAZBUS_SAEToeBarLeafspringAxle.h
- D:/W/B/src/chrono-9.0.1/src/chrono_models/vehicle/uaz/UAZBUS_SAEToeBarLeafspringAxle.cpp